import { StatusBar } from 'expo-status-bar';
import React, { useState } from 'react';
import { StyleSheet, Text, View, TextInput, Button } from 'react-native';

export default function App() {
  const [number1, setNumber1] = useState('0');
  const [number2, setNumber2] = useState('0');
  const [result, setResult] = useState('0');

  const calcSum = () => {
    const sum = parseFloat(number1) + parseFloat(number2);
    setResult(sum.toString());
  };

  const calcSubtract = () => {
    const subtract = parseFloat(number1) - parseFloat(number2);
    setResult(subtract.toString());
  };

  const calcMultiply = () => {
    const multiply = parseFloat(number1) * parseFloat(number2);
    setResult(multiply.toString());
  };

  const calcDivide = () => {
    const divide = parseFloat(number1) / parseFloat(number2);
    setResult(divide.toString());
  };

  return (
    <View style={styles.container}>
      <Text style={styles.calculator}>Simple Calculator</Text>
      <StatusBar style="auto" />

      <View style={styles.inputRow}>
        <Text style={styles.label}>Number 1:</Text>
        <TextInput
          placeholder="0"
          style={styles.input}
          value={number1}
          onChangeText={(text) => setNumber1(text)}
          keyboardType="numeric"
        />
      </View>

      <View style={styles.inputRow}>
        <Text style={styles.label}>Number 2:</Text>
        <TextInput
          placeholder="0"
          style={styles.input}
          value={number2}
          onChangeText={(text) => setNumber2(text)}
          keyboardType="numeric"
        />
      </View>

      <View style={styles.buttonRow}>
        <Button title="+" onPress={calcSum} />
        <Button title="-" onPress={calcSubtract} />
        <Button title="*" onPress={calcMultiply} />
        <Button title="/" onPress={calcDivide} />
      </View>

      <View style={styles.resultRow}>
        <Text style={styles.label}>Result:</Text>
        <Text style={styles.result}>{result}</Text>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#f0f0f0',
    padding: 20,
  },
  calculator: {
    fontSize: 24,
    fontWeight: 'bold',
    marginBottom: 20,
  },
  inputRow: {
    width: '80%',
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 10,
  },
  label: {
    flex: 1,
    fontSize: 16,
  },
  input: {
    flex: 2,
    borderWidth: 1,
    borderColor: '#ccc',
    borderRadius: 5,
    paddingLeft: 10,
    fontSize: 16,
  },
  buttonRow: {
    flexDirection: 'row',
    justifyContent: 'space-around',
    width: '60%',
    margin: 20,
  },
  resultRow: {
    width: '80%',
    flexDirection: 'row',
    alignItems: 'center',
  },
  result: {
    width: '65%',
    marginLeft: 10,
    fontSize: 16,
  },
});
